Name:           SimplyHTML
Version:        0.16.18
Release:        %mkrel 1
Summary:        Application and a java component for rich text processing
Group:          Development/Java
License:        GPLv2 and BSD
URL:            http://simplyhtml.sourceforge.net/

Source0:        http://heanet.dl.sourceforge.net/project/simplyhtml/stable/simplyhtml_src-%{version}.tar.gz

# Remove Gradle bintray plugin (not available in Fedora)
Patch0:         %{name}-remove-bintray-plugin.patch

BuildRequires:  gradle-local
BuildRequires:  mvn(gnu-regexp:gnu-regexp)
BuildRequires:  mvn(javax.help:javahelp)
BuildRequires:  mvn(org.dpolivaev.mnemonicsetter:mnemonicsetter)

BuildArch:      noarch

%description
SimplyHTML is an application for text processing.
It stores documents as HTML files in combination with
Cascading Style Sheets (CSS). SimplyHTML is not intended
to be used as an editor for web pages.
The application combines text processing features as known from
popular word processors with a simple and generic way of
storing textual information and styles.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n simplyhtml-%{version}
%patch0
echo 'rootProject.name="%{name}"' >settings.gradle

%build
%gradle_build

%install
%mvn_install -J build/docs/javadoc

%files -f .mfiles
%doc readme.txt
%license gpl.txt

%files javadoc -f .mfiles-javadoc


%changelog
* Sun Nov 13 2016 daviddavid <daviddavid> 0.16.18-1.mga6
+ Revision: 1067024
- Update to upstream version 0.16.18 (sync with fedora)

* Mon Feb 08 2016 umeabot <umeabot> 0.16.7-5.mga6
+ Revision: 942518
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.16.7-4.mga5
+ Revision: 748212
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.16.7-3.mga5
+ Revision: 677660
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.16.7-2.mga4
+ Revision: 523908
- Mageia 4 Mass Rebuild

* Sun May 26 2013 shlomif <shlomif> 0.16.7-1.mga4
+ Revision: 428138
- Retab
- Remove trailing space
- New version - 0.16.7 - thanks in part to Hartmut Goebel

* Fri Jan 11 2013 umeabot <umeabot> 0.13.1-3.mga3
+ Revision: 345124
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 0.13.1-2.mga3
+ Revision: 324940
- Java Stack Mass Rebuild

* Sun May 08 2011 ahmad <ahmad> 0.13.1-1.mga1
+ Revision: 95973
- imported package SimplyHTML

